#!/bin/sh -

installdir=/usr/local/bin/
binbsd=./bin/bsd 
binlinux=./bin/linux 
conffile=/etc/urld.conf
mandir=./docs

echo "run this script as root, please"
echo "please enter one of the two system types: linux bsd";
read SYSTYPE

# 1st install binary
case ${SYSTYPE} in
bsd)
	echo "systype entered is: $SYSTYPE" 
	cp $binbsd/urld $installdir/urld
	chmod +x $installdir/urld
	;;
linux)
	echo "systype entered is: $SYSTYPE" 
	cp $binlinux/urld $installdir/urld
	chmod +x $installdir/urld
	;;
*) 	
	echo "unknown system type, bailing" 		
	exit 1
	;;
esac

echo ""
echo "urld binary installed in $installdir" 
echo ""

# 2nd fill out a configuration file
echo "we are about to fill out a minimal configuration file"
echo "any previous config file is copied to /etc/urld.conf.bak"
echo "please enter ENTER to proceed"
read GARBAGE

cp -f /etc/urld.conf /etc/urld.conf.bak

echo ""
echo "please enter a system label that will be used for id'ing your system"
echo "this should just a descriptive string; e.g., jon's coffee place" 
echo -n "syslabel: "
read SYSLABEL

echo ""
echo "please enter mobile or fixed, depending upon whether" 
echo "or not your system is a wireless mobile system, or a fixed wired system:"
echo -n "mobiletype (mobile,fixed): "
read MOBILETYPE
case ${MOBILETYPE} in
fixed)
	;;
mobile)
	;;
*) 	
	echo "unknown mobile type, bailing" 		
	exit 1
	;;
esac

echo ""
echo "please enter one sample url and description tag".
echo "e.g., http://www.lottalatte.com   sumit's coffee emporium"
echo ""
echo -n "url to send: "
read URLD

echo ""
echo "please enter the name of the interface out which you want to"
echo "send urld URLs, e.g., eth0 (linux), or wi0, an0, or eth1, etc."
echo "if you have no idea, look at # ifconfig -a to get a list:"
echo -n "interface for sending: "
read INTERFACE

echo syslabel $MOBILETYPE $SYSLABEL > $conffile
echo "# note: you can have more than one url sent" >> $conffile
echo "# add more send lines" >> $conffile
echo send $URLD >> $conffile
echo interface $INTERFACE  b  >> $conffile
echo urlTime 10  >> $conffile

echo ""
echo "config file created/installed"
echo ""

# 3rd install man pages
mkdir -p /usr/local/man/man8
cp $mandir/urld.8 /usr/local/man/man8
mkdir -p /usr/local/man/man5
cp $mandir/urld.conf.5 /usr/local/man/man5
echo ""
echo "man pages, urld(8), and urld.conf(5) installed"
echo ""

# 4th express some last minute thoughts
echo ""
echo "and finally:"
echo "note: urld has 3 important files: exec, output, and config"
echo "1. the urld binary lives at /usr/local/bin/urld."
echo "To start it up, simply run /usr/local/bin/urld"
echo "2. the local output file is /tmp/urld.html on UNIX systems" 
echo "and for WIN32 c:\temp\urld.html".
echo "You browse it with a web browser; e.g., file:/tmp/urld.html" 
echo "3. the config file lives at /etc/urld.conf on unix systems" 
echo "It can be local and passed in via urld -c at startup" 
echo ""
echo "you may run it debug urld -d to sanity check it"
echo "please hit ENTER to finish up"
read  GARBAGE
echo "your config file looks like this:"
cat $conffile
